%define module	poppler-qt5

Name:		python-%{module}
Version:	0.75.0
Release:	%mkrel 2
Summary:	Python binding to Poppler-Qt5 C++ library
Group:		Development/Python
License:	LGPLv2+
# https://github.com/frescobaldi/python-poppler-qt5
URL:		https://pypi.org/project/python-poppler-qt5/
Source0:	https://pypi.io/packages/source/p/python-poppler-qt5/%{name}-%{version}.tar.gz
Patch1:		%{name}-0.24.2-python3-sip.patch
BuildRequires:	pkgconfig(poppler-qt5)

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-sip-devel

%description
Python bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python and using Poppler set.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to Poppler-Qt5 C++ library
Group:		Development/Python
Requires:	python3-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Python 3 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 3 and using Poppler set.

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# "fix" underlinking:
%define _disable_ld_no_undefined 1
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc ChangeLog TODO README.rst
%license LICENSE
%{python3_sitearch}/popplerqt5.*.so
%{python3_sitearch}/python_poppler_qt5-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.75.0-2.mga8
+ Revision: 1538439
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 daviddavid <daviddavid> 0.75.0-1.mga8
+ Revision: 1462121
- new version: 0.75.0

* Thu Sep 19 2019 daviddavid <daviddavid> 0.74.0-1.mga8
+ Revision: 1443867
- new version: 0.74.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.24.2-6.mga8
+ Revision: 1441572
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 daviddavid <daviddavid> 0.24.2-5.mga7
+ Revision: 1352852
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.24.2-4.mga7
+ Revision: 1300548
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 0.24.2-3.mga7
+ Revision: 1243342
- rebuild against new sip

* Sat Aug 05 2017 daviddavid <daviddavid> 0.24.2-2.mga7
+ Revision: 1135101
- rebuild for new Python 3.6

* Mon Feb 27 2017 daviddavid <daviddavid> 0.24.2-1.mga6
+ Revision: 1088117
- initial package python-poppler-qt5

